Package org.zkoss.zul

## Interface XYZModel

- All Superinterfaces:
    `ChartModel`, `XYModel`
  All Known Implementing Classes:
    `SimpleXYZModel`

      public interface XYZModel
      extends XYModel

  A XYZ chart data model.
  Since:
    3.5.0
  Author:
    henrichen
  See Also:
    `Chart`, `SimpleXYModel`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, java.lang.Number z)` | Append an (x,y,z) into a series.
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, java.lang.Number z, int index)` | Add an (x,y,z) into a series at the specified index.
    `java.lang.Number` | `getZ​(java.lang.Comparable<?> series, int index)` | Get Z value of a specified series and data index.
    `void` | `setValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, java.lang.Number z, int index)` | Replace an (x,y,z) into a series at the specified index.

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

    - ### Methods inherited from interface org.zkoss.zul.XYModel

      `addValue, addValue, clear, getDataCount, getSeries, getSeries, getX, getY, isAutoSort, removeSeries, removeValue, setAutoSort, setValue`

- - ### Method Detail

    - #### getZ

          java.lang.Number getZ​(java.lang.Comparable<?> series,
                                int index)

      Get Z value of a specified series and data index.
      Parameters:
        `series` - the series.
        `index` - the data index.

    - #### addValue

          void addValue​(java.lang.Comparable<?> series,
                        java.lang.Number x,
                        java.lang.Number y,
                        java.lang.Number z)

      Append an (x,y,z) into a series.
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `z` - the z value.

    - #### addValue

          void addValue​(java.lang.Comparable<?> series,
                        java.lang.Number x,
                        java.lang.Number y,
                        java.lang.Number z,
                        int index)

      Add an (x,y,z) into a series at the specified index.
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `z` - the z value.
        `index` - the data index.
      Since:
        5.0.0

    - #### setValue

          void setValue​(java.lang.Comparable<?> series,
                        java.lang.Number x,
                        java.lang.Number y,
                        java.lang.Number z,
                        int index)

      Replace an (x,y,z) into a series at the specified index.
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `z` - the z value.
        `index` - the data index.
      Since:
        5.0.0